com.genesyslab.wfm7.API.service.performance720

## Class SchAgentDay

- java.lang.Object
- - com.genesyslab.wfm7.API.service.performance720.SchAgentDay

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDay
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private SchCoverage[]` | `coverage`
    `private int` | `coverageNSizeIs`
    `private boolean` | `eligibleForTrade`
    `private int` | `gswAgentId`
    `private int[]` | `schActivities`
    `private int` | `schActivitiesNSizeIs`
    `private SchActivitySet[]` | `schActivitySetInfo`
    `private int` | `schActivitySetInfoNSizeIs`
    `private SchState[]` | `schStates`
    `private int` | `schStatesNSizeIs`
    `private long` | `timestamp`
    `private java.lang.String` | `wmComments`
    `private double` | `wmDate`
    `private int` | `wmDayType`
    `private double` | `wmEndDateTime`
    `private int` | `wmExceptionTypeId`
    `private int` | `wmFlag`
    `private double` | `wmNextStartDateTime`
    `private int` | `wmOvertimeMinutes`
    `private int` | `wmPaidMinutes`
    `private double` | `wmPrevEndDateTime`
    `private int` | `wmScheduleId`
    `private double` | `wmShiftEndDateTime`
    `private int` | `wmShiftId`
    `private double` | `wmShiftStartDateTime`
    `private int` | `wmSiteId`
    `private double` | `wmStartDateTime`
    `private java.lang.String` | `wmSwordDescribe`
    `private int` | `wmVacationMinutes`
    `private int` | `wmWorkMinutes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDay()`
    `SchAgentDay(int wmScheduleId, int wmSiteId, int gswAgentId, double wmDate, int wmDayType, int wmExceptionTypeId, double wmStartDateTime, double wmEndDateTime, int wmShiftId, double wmShiftStartDateTime, double wmShiftEndDateTime, java.lang.String wmComments, java.lang.String wmSwordDescribe, int wmFlag, int wmPaidMinutes, int wmWorkMinutes, int wmVacationMinutes, int wmOvertimeMinutes, int schActivitiesNSizeIs, int[] schActivities, int coverageNSizeIs, SchCoverage[] coverage, int schStatesNSizeIs, SchState[] schStates, int schActivitySetInfoNSizeIs, SchActivitySet[] schActivitySetInfo, double wmPrevEndDateTime, double wmNextStartDateTime, boolean eligibleForTrade, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `SchCoverage[]` | `getCoverage()` Gets the coverage value for this SchAgentDay.
    `int` | `getCoverageNSizeIs()` Gets the coverageNSizeIs value for this SchAgentDay.
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchAgentDay.
    `int[]` | `getSchActivities()` Gets the schActivities value for this SchAgentDay.
    `int` | `getSchActivitiesNSizeIs()` Gets the schActivitiesNSizeIs value for this SchAgentDay.
    `SchActivitySet[]` | `getSchActivitySetInfo()` Gets the schActivitySetInfo value for this SchAgentDay.
    `int` | `getSchActivitySetInfoNSizeIs()` Gets the schActivitySetInfoNSizeIs value for this SchAgentDay.
    `SchState[]` | `getSchStates()` Gets the schStates value for this SchAgentDay.
    `int` | `getSchStatesNSizeIs()` Gets the schStatesNSizeIs value for this SchAgentDay.
    `long` | `getTimestamp()` Gets the timestamp value for this SchAgentDay.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchAgentDay.
    `double` | `getWmDate()` Gets the wmDate value for this SchAgentDay.
    `int` | `getWmDayType()` Gets the wmDayType value for this SchAgentDay.
    `double` | `getWmEndDateTime()` Gets the wmEndDateTime value for this SchAgentDay.
    `int` | `getWmExceptionTypeId()` Gets the wmExceptionTypeId value for this SchAgentDay.
    `int` | `getWmFlag()` Gets the wmFlag value for this SchAgentDay.
    `double` | `getWmNextStartDateTime()` Gets the wmNextStartDateTime value for this SchAgentDay.
    `int` | `getWmOvertimeMinutes()` Gets the wmOvertimeMinutes value for this SchAgentDay.
    `int` | `getWmPaidMinutes()` Gets the wmPaidMinutes value for this SchAgentDay.
    `double` | `getWmPrevEndDateTime()` Gets the wmPrevEndDateTime value for this SchAgentDay.
    `int` | `getWmScheduleId()` Gets the wmScheduleId value for this SchAgentDay.
    `double` | `getWmShiftEndDateTime()` Gets the wmShiftEndDateTime value for this SchAgentDay.
    `int` | `getWmShiftId()` Gets the wmShiftId value for this SchAgentDay.
    `double` | `getWmShiftStartDateTime()` Gets the wmShiftStartDateTime value for this SchAgentDay.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchAgentDay.
    `double` | `getWmStartDateTime()` Gets the wmStartDateTime value for this SchAgentDay.
    `java.lang.String` | `getWmSwordDescribe()` Gets the wmSwordDescribe value for this SchAgentDay.
    `int` | `getWmVacationMinutes()` Gets the wmVacationMinutes value for this SchAgentDay.
    `int` | `getWmWorkMinutes()` Gets the wmWorkMinutes value for this SchAgentDay.
    `int` | `hashCode()`
    `boolean` | `isEligibleForTrade()` Gets the eligibleForTrade value for this SchAgentDay.
    `void` | `setCoverage(SchCoverage[] coverage)` Sets the coverage value for this SchAgentDay.
    `void` | `setCoverageNSizeIs(int coverageNSizeIs)` Sets the coverageNSizeIs value for this SchAgentDay.
    `void` | `setEligibleForTrade(boolean eligibleForTrade)` Sets the eligibleForTrade value for this SchAgentDay.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchAgentDay.
    `void` | `setSchActivities(int[] schActivities)` Sets the schActivities value for this SchAgentDay.
    `void` | `setSchActivitiesNSizeIs(int schActivitiesNSizeIs)` Sets the schActivitiesNSizeIs value for this SchAgentDay.
    `void` | `setSchActivitySetInfo(SchActivitySet[] schActivitySetInfo)` Sets the schActivitySetInfo value for this SchAgentDay.
    `void` | `setSchActivitySetInfoNSizeIs(int schActivitySetInfoNSizeIs)` Sets the schActivitySetInfoNSizeIs value for this SchAgentDay.
    `void` | `setSchStates(SchState[] schStates)` Sets the schStates value for this SchAgentDay.
    `void` | `setSchStatesNSizeIs(int schStatesNSizeIs)` Sets the schStatesNSizeIs value for this SchAgentDay.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchAgentDay.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchAgentDay.
    `void` | `setWmDate(double wmDate)` Sets the wmDate value for this SchAgentDay.
    `void` | `setWmDayType(int wmDayType)` Sets the wmDayType value for this SchAgentDay.
    `void` | `setWmEndDateTime(double wmEndDateTime)` Sets the wmEndDateTime value for this SchAgentDay.
    `void` | `setWmExceptionTypeId(int wmExceptionTypeId)` Sets the wmExceptionTypeId value for this SchAgentDay.
    `void` | `setWmFlag(int wmFlag)` Sets the wmFlag value for this SchAgentDay.
    `void` | `setWmNextStartDateTime(double wmNextStartDateTime)` Sets the wmNextStartDateTime value for this SchAgentDay.
    `void` | `setWmOvertimeMinutes(int wmOvertimeMinutes)` Sets the wmOvertimeMinutes value for this SchAgentDay.
    `void` | `setWmPaidMinutes(int wmPaidMinutes)` Sets the wmPaidMinutes value for this SchAgentDay.
    `void` | `setWmPrevEndDateTime(double wmPrevEndDateTime)` Sets the wmPrevEndDateTime value for this SchAgentDay.
    `void` | `setWmScheduleId(int wmScheduleId)` Sets the wmScheduleId value for this SchAgentDay.
    `void` | `setWmShiftEndDateTime(double wmShiftEndDateTime)` Sets the wmShiftEndDateTime value for this SchAgentDay.
    `void` | `setWmShiftId(int wmShiftId)` Sets the wmShiftId value for this SchAgentDay.
    `void` | `setWmShiftStartDateTime(double wmShiftStartDateTime)` Sets the wmShiftStartDateTime value for this SchAgentDay.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchAgentDay.
    `void` | `setWmStartDateTime(double wmStartDateTime)` Sets the wmStartDateTime value for this SchAgentDay.
    `void` | `setWmSwordDescribe(java.lang.String wmSwordDescribe)` Sets the wmSwordDescribe value for this SchAgentDay.
    `void` | `setWmVacationMinutes(int wmVacationMinutes)` Sets the wmVacationMinutes value for this SchAgentDay.
    `void` | `setWmWorkMinutes(int wmWorkMinutes)` Sets the wmWorkMinutes value for this SchAgentDay.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmScheduleId

          private int wmScheduleId

    - #### wmSiteId

          private int wmSiteId

    - #### gswAgentId

          private int gswAgentId

    - #### wmDate

          private double wmDate

    - #### wmDayType

          private int wmDayType

    - #### wmExceptionTypeId

          private int wmExceptionTypeId

    - #### wmStartDateTime

          private double wmStartDateTime

    - #### wmEndDateTime

          private double wmEndDateTime

    - #### wmShiftId

          private int wmShiftId

    - #### wmShiftStartDateTime

          private double wmShiftStartDateTime

    - #### wmShiftEndDateTime

          private double wmShiftEndDateTime

    - #### wmComments

          private java.lang.String wmComments

    - #### wmSwordDescribe

          private java.lang.String wmSwordDescribe

    - #### wmFlag

          private int wmFlag

    - #### wmPaidMinutes

          private int wmPaidMinutes

    - #### wmWorkMinutes

          private int wmWorkMinutes

    - #### wmVacationMinutes

          private int wmVacationMinutes

    - #### wmOvertimeMinutes

          private int wmOvertimeMinutes

    - #### schActivitiesNSizeIs

          private int schActivitiesNSizeIs

    - #### schActivities

          private int[] schActivities

    - #### coverageNSizeIs

          private int coverageNSizeIs

    - #### coverage

          private SchCoverage[] coverage

    - #### schStatesNSizeIs

          private int schStatesNSizeIs

    - #### schStates

          private SchState[] schStates

    - #### schActivitySetInfoNSizeIs

          private int schActivitySetInfoNSizeIs

    - #### schActivitySetInfo

          private SchActivitySet[] schActivitySetInfo

    - #### wmPrevEndDateTime

          private double wmPrevEndDateTime

    - #### wmNextStartDateTime

          private double wmNextStartDateTime

    - #### eligibleForTrade

          private boolean eligibleForTrade

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchAgentDay

          public SchAgentDay()

    - #### SchAgentDay

          public SchAgentDay(int wmScheduleId,
                     int wmSiteId,
                     int gswAgentId,
                     double wmDate,
                     int wmDayType,
                     int wmExceptionTypeId,
                     double wmStartDateTime,
                     double wmEndDateTime,
                     int wmShiftId,
                     double wmShiftStartDateTime,
                     double wmShiftEndDateTime,
                     java.lang.String wmComments,
                     java.lang.String wmSwordDescribe,
                     int wmFlag,
                     int wmPaidMinutes,
                     int wmWorkMinutes,
                     int wmVacationMinutes,
                     int wmOvertimeMinutes,
                     int schActivitiesNSizeIs,
                     int[] schActivities,
                     int coverageNSizeIs,
                     SchCoverage[] coverage,
                     int schStatesNSizeIs,
                     SchState[] schStates,
                     int schActivitySetInfoNSizeIs,
                     SchActivitySet[] schActivitySetInfo,
                     double wmPrevEndDateTime,
                     double wmNextStartDateTime,
                     boolean eligibleForTrade,
                     long timestamp)

  - ### Method Detail

    - #### getWmScheduleId

          public int getWmScheduleId()

      Gets the wmScheduleId value for this SchAgentDay.
      Returns:
        wmScheduleId

    - #### setWmScheduleId

          public void setWmScheduleId(int wmScheduleId)

      Sets the wmScheduleId value for this SchAgentDay.
      Parameters:
        `wmScheduleId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchAgentDay.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchAgentDay.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchAgentDay.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchAgentDay.
      Parameters:
        `gswAgentId` -

    - #### getWmDate

          public double getWmDate()

      Gets the wmDate value for this SchAgentDay.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double wmDate)

      Sets the wmDate value for this SchAgentDay.
      Parameters:
        `wmDate` -

    - #### getWmDayType

          public int getWmDayType()

      Gets the wmDayType value for this SchAgentDay.
      Returns:
        wmDayType

    - #### setWmDayType

          public void setWmDayType(int wmDayType)

      Sets the wmDayType value for this SchAgentDay.
      Parameters:
        `wmDayType` -

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the wmExceptionTypeId value for this SchAgentDay.
      Returns:
        wmExceptionTypeId

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int wmExceptionTypeId)

      Sets the wmExceptionTypeId value for this SchAgentDay.
      Parameters:
        `wmExceptionTypeId` -

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the wmStartDateTime value for this SchAgentDay.
      Returns:
        wmStartDateTime

    - #### setWmStartDateTime

          public void setWmStartDateTime(double wmStartDateTime)

      Sets the wmStartDateTime value for this SchAgentDay.
      Parameters:
        `wmStartDateTime` -

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the wmEndDateTime value for this SchAgentDay.
      Returns:
        wmEndDateTime

    - #### setWmEndDateTime

          public void setWmEndDateTime(double wmEndDateTime)

      Sets the wmEndDateTime value for this SchAgentDay.
      Parameters:
        `wmEndDateTime` -

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the wmShiftId value for this SchAgentDay.
      Returns:
        wmShiftId

    - #### setWmShiftId

          public void setWmShiftId(int wmShiftId)

      Sets the wmShiftId value for this SchAgentDay.
      Parameters:
        `wmShiftId` -

    - #### getWmShiftStartDateTime

          public double getWmShiftStartDateTime()

      Gets the wmShiftStartDateTime value for this SchAgentDay.
      Returns:
        wmShiftStartDateTime

    - #### setWmShiftStartDateTime

          public void setWmShiftStartDateTime(double wmShiftStartDateTime)

      Sets the wmShiftStartDateTime value for this SchAgentDay.
      Parameters:
        `wmShiftStartDateTime` -

    - #### getWmShiftEndDateTime

          public double getWmShiftEndDateTime()

      Gets the wmShiftEndDateTime value for this SchAgentDay.
      Returns:
        wmShiftEndDateTime

    - #### setWmShiftEndDateTime

          public void setWmShiftEndDateTime(double wmShiftEndDateTime)

      Sets the wmShiftEndDateTime value for this SchAgentDay.
      Parameters:
        `wmShiftEndDateTime` -

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchAgentDay.
      Returns:
        wmComments

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchAgentDay.
      Parameters:
        `wmComments` -

    - #### getWmSwordDescribe

          public java.lang.String getWmSwordDescribe()

      Gets the wmSwordDescribe value for this SchAgentDay.
      Returns:
        wmSwordDescribe

    - #### setWmSwordDescribe

          public void setWmSwordDescribe(java.lang.String wmSwordDescribe)

      Sets the wmSwordDescribe value for this SchAgentDay.
      Parameters:
        `wmSwordDescribe` -

    - #### getWmFlag

          public int getWmFlag()

      Gets the wmFlag value for this SchAgentDay.
      Returns:
        wmFlag

    - #### setWmFlag

          public void setWmFlag(int wmFlag)

      Sets the wmFlag value for this SchAgentDay.
      Parameters:
        `wmFlag` -

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the wmPaidMinutes value for this SchAgentDay.
      Returns:
        wmPaidMinutes

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int wmPaidMinutes)

      Sets the wmPaidMinutes value for this SchAgentDay.
      Parameters:
        `wmPaidMinutes` -

    - #### getWmWorkMinutes

          public int getWmWorkMinutes()

      Gets the wmWorkMinutes value for this SchAgentDay.
      Returns:
        wmWorkMinutes

    - #### setWmWorkMinutes

          public void setWmWorkMinutes(int wmWorkMinutes)

      Sets the wmWorkMinutes value for this SchAgentDay.
      Parameters:
        `wmWorkMinutes` -

    - #### getWmVacationMinutes

          public int getWmVacationMinutes()

      Gets the wmVacationMinutes value for this SchAgentDay.
      Returns:
        wmVacationMinutes

    - #### setWmVacationMinutes

          public void setWmVacationMinutes(int wmVacationMinutes)

      Sets the wmVacationMinutes value for this SchAgentDay.
      Parameters:
        `wmVacationMinutes` -

    - #### getWmOvertimeMinutes

          public int getWmOvertimeMinutes()

      Gets the wmOvertimeMinutes value for this SchAgentDay.
      Returns:
        wmOvertimeMinutes

    - #### setWmOvertimeMinutes

          public void setWmOvertimeMinutes(int wmOvertimeMinutes)

      Sets the wmOvertimeMinutes value for this SchAgentDay.
      Parameters:
        `wmOvertimeMinutes` -

    - #### getSchActivitiesNSizeIs

          public int getSchActivitiesNSizeIs()

      Gets the schActivitiesNSizeIs value for this SchAgentDay.
      Returns:
        schActivitiesNSizeIs

    - #### setSchActivitiesNSizeIs

          public void setSchActivitiesNSizeIs(int schActivitiesNSizeIs)

      Sets the schActivitiesNSizeIs value for this SchAgentDay.
      Parameters:
        `schActivitiesNSizeIs` -

    - #### getSchActivities

          public int[] getSchActivities()

      Gets the schActivities value for this SchAgentDay.
      Returns:
        schActivities

    - #### setSchActivities

          public void setSchActivities(int[] schActivities)

      Sets the schActivities value for this SchAgentDay.
      Parameters:
        `schActivities` -

    - #### getCoverageNSizeIs

          public int getCoverageNSizeIs()

      Gets the coverageNSizeIs value for this SchAgentDay.
      Returns:
        coverageNSizeIs

    - #### setCoverageNSizeIs

          public void setCoverageNSizeIs(int coverageNSizeIs)

      Sets the coverageNSizeIs value for this SchAgentDay.
      Parameters:
        `coverageNSizeIs` -

    - #### getCoverage

          public SchCoverage[] getCoverage()

      Gets the coverage value for this SchAgentDay.
      Returns:
        coverage

    - #### setCoverage

          public void setCoverage(SchCoverage[] coverage)

      Sets the coverage value for this SchAgentDay.
      Parameters:
        `coverage` -

    - #### getSchStatesNSizeIs

          public int getSchStatesNSizeIs()

      Gets the schStatesNSizeIs value for this SchAgentDay.
      Returns:
        schStatesNSizeIs

    - #### setSchStatesNSizeIs

          public void setSchStatesNSizeIs(int schStatesNSizeIs)

      Sets the schStatesNSizeIs value for this SchAgentDay.
      Parameters:
        `schStatesNSizeIs` -

    - #### getSchStates

          public SchState[] getSchStates()

      Gets the schStates value for this SchAgentDay.
      Returns:
        schStates

    - #### setSchStates

          public void setSchStates(SchState[] schStates)

      Sets the schStates value for this SchAgentDay.
      Parameters:
        `schStates` -

    - #### getSchActivitySetInfoNSizeIs

          public int getSchActivitySetInfoNSizeIs()

      Gets the schActivitySetInfoNSizeIs value for this SchAgentDay.
      Returns:
        schActivitySetInfoNSizeIs

    - #### setSchActivitySetInfoNSizeIs

          public void setSchActivitySetInfoNSizeIs(int schActivitySetInfoNSizeIs)

      Sets the schActivitySetInfoNSizeIs value for this SchAgentDay.
      Parameters:
        `schActivitySetInfoNSizeIs` -

    - #### getSchActivitySetInfo

          public SchActivitySet[] getSchActivitySetInfo()

      Gets the schActivitySetInfo value for this SchAgentDay.
      Returns:
        schActivitySetInfo

    - #### setSchActivitySetInfo

          public void setSchActivitySetInfo(SchActivitySet[] schActivitySetInfo)

      Sets the schActivitySetInfo value for this SchAgentDay.
      Parameters:
        `schActivitySetInfo` -

    - #### getWmPrevEndDateTime

          public double getWmPrevEndDateTime()

      Gets the wmPrevEndDateTime value for this SchAgentDay.
      Returns:
        wmPrevEndDateTime

    - #### setWmPrevEndDateTime

          public void setWmPrevEndDateTime(double wmPrevEndDateTime)

      Sets the wmPrevEndDateTime value for this SchAgentDay.
      Parameters:
        `wmPrevEndDateTime` -

    - #### getWmNextStartDateTime

          public double getWmNextStartDateTime()

      Gets the wmNextStartDateTime value for this SchAgentDay.
      Returns:
        wmNextStartDateTime

    - #### setWmNextStartDateTime

          public void setWmNextStartDateTime(double wmNextStartDateTime)

      Sets the wmNextStartDateTime value for this SchAgentDay.
      Parameters:
        `wmNextStartDateTime` -

    - #### isEligibleForTrade

          public boolean isEligibleForTrade()

      Gets the eligibleForTrade value for this SchAgentDay.
      Returns:
        eligibleForTrade

    - #### setEligibleForTrade

          public void setEligibleForTrade(boolean eligibleForTrade)

      Sets the eligibleForTrade value for this SchAgentDay.
      Parameters:
        `eligibleForTrade` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchAgentDay.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchAgentDay.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.